rte_eth_cman_info(3)

NAME
rte_eth_cman_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint64_t modes_supported
uint64_t objs_supported
uint8_t rsvd [8]

Detailed Description

Warning
    EXPERIMENTAL: this structure may change, or be removed, without prior notice

A structure used to retrieve information of ethdev congestion management.

Definition at line 6079 of file rte_ethdev.h.

Field Documentation

  uint64_t modes_supported
Set of supported congestion management modes

See also
    enum rte_cman_mode

Definition at line 6084 of file rte_ethdev.h.

  uint64_t objs_supported
Set of supported congestion management objects

See also
    enum rte_eth_cman_obj

Definition at line 6089 of file rte_ethdev.h.

  uint8_t rsvd[8]
Reserved for future fields. Always returned as 0 when rte_eth_cman_info_get() is invoked

Definition at line 6094 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.